#
# spec file for package ghc-ekg
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ekg
Name:           ghc-%{pkg_name}
Version:        0.4.0.12
Release:        1.10
Summary:        Remote monitoring of processes
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-ekg-core-devel
BuildRequires:  ghc-ekg-json-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-snap-core-devel
BuildRequires:  ghc-snap-server-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library lets you remotely monitor a running process over HTTP. It provides
a simple way to integrate a monitoring server into any application.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/assets
%{_datadir}/%{pkg_name}-%{version}/assets/index.html
%{_datadir}/%{pkg_name}-%{version}/assets/monitor.js
%{_datadir}/%{pkg_name}-%{version}/assets/monitor.css
%{_datadir}/%{pkg_name}-%{version}/assets/jquery.flot.min.js
%{_datadir}/%{pkg_name}-%{version}/assets/jquery-1.6.4.min.js
%{_datadir}/%{pkg_name}-%{version}/assets/bootstrap-1.4.0.min.css
%{_datadir}/%{pkg_name}-%{version}/assets/chart_line_add.png
%{_datadir}/%{pkg_name}-%{version}/assets/cross.png

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES.md LICENSE.icons LICENSE.javascript README.md examples

%changelog
* Thu Jan 26 2017 psimons@suse.com
- Update to version 0.4.0.12 with cabal2obs.
* Mon Sep 19 2016 psimons@suse.com
- Update to version 0.4.0.11 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.0.10 revision 0 with cabal2obs.
